Loading...
Searching...
No Matches
Opm::BCBase< T > Class Template Reference

A class for building boundary conditions in a uniform way. More...

`#include <BoundaryConditions.hpp>`

## Public Types

enum | BCType { Dirichlet , Neumann , Periodic }
| Enum for the allowed boundary condition types. More...

## Public Member Functions

template<typename charT, class traits>
void | write (std::basic_ostream< charT, traits > &os) const
| Write type and value to an output stream.

## Protected Member Functions

| BCBase ()
| Default constructor, that makes a Neumann condition with value 0.0.
| BCBase (BCType type, T value)
| Constructor taking a type and value.
bool | isDirichlet () const
| Type query.
bool | isNeumann () const
| Type query.
bool | isPeriodic () const
| Type query.

## Protected Attributes

BCType | type_
T | value_

## Detailed Description

template<typename T>
class Opm::BCBase< T >

A class for building boundary conditions in a uniform way.

## Member Enumeration Documentation

## BCType

template<typename T>

enum Opm::BCBase::BCType

Enum for the allowed boundary condition types.

So far, we support Dirichlet, Neumann and Periodic conditions. In this class, these are just tags, it's up to the code using it to attach meaning to them.

## Constructor & Destructor Documentation

## BCBase()

template<typename T>

Opm::BCBase< T >::BCBase | ( | BCType | type,
|  | T | value )

inline protected

Constructor taking a type and value.

Parameters

  type | the condition type.
  value | the condition value.

## Member Function Documentation

## isDirichlet()

template<typename T>

bool Opm::BCBase< T >::isDirichlet | ( |  | ) | const

inline protected

Type query.

Returns
  true if the type is Dirichlet.

## isNeumann()

template<typename T>

bool Opm::BCBase< T >::isNeumann | ( |  | ) | const

inline protected

Type query.

Returns
  true if the type is Neumann.

## isPeriodic()

template<typename T>

bool Opm::BCBase< T >::isPeriodic | ( |  | ) | const

inline protected

Type query.

Returns
  true if the type is Periodic.

## write()

template<typename T>
template<typename charT, class traits>

void Opm::BCBase< T >::write | ( | std::basic_ostream< charT, traits > & | os | ) | const

inline

Write type and value to an output stream.

Template Parameters

  traits | character type.
  traits | character traits.

Parameters

  os | output stream.

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp